Description

If you create a global parameter with a period character, you are then unable to modify or delete it.
| haven't tested this with host-group or host-level parameters, but | suspect the behaviour will be the same.

For example, | created a global param called "net.ifnames”". When [ try to edit it:

Started GET "/common_parameters/net.ifnames/edit" for 10.x.x.x at 2015-07-28 10:16:30 +0100

2015-07-28 10:16:30 [F]

ActionController::RoutingError (No route matches [GET] "/common_parameters/net.ifnames/edit"):
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/rack/thread_handler_extension.rb:77:in "process_request’
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:140:in
“accept_and_process_next_request’
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler/thread_handler.rb:108:in "main_loop'
/usr/share/gems/gems/passenger-4.0.18/lib/phusion_passenger/request_handler.rb:441:in “block (3 levels) in start_threads'
Trying to delete it:

Started DELETE "/common_parameters/net.ifnames” for 10.x.x.x at 2015-07-28 10:17:06 +0100

2015-07-28 10:17:06 [I] Processing by CommonParametersController#destroy as

2015-07-28 10:17:06 [I] Parameters: {"authenticity_token"=>"xxxx", "id"=>"net"}

2015-07-28 10:17:06 [I] Completed 406 Not Acceptable in 7ms (ActiveRecord: 1.1ms)

2015-07-28 10:17:21 [I]

| guess either the validation should be changed to prevent me from creating a variable with a period char in it, or the backend needs

to handle params with a period in the name.

Associated revisions

Revision fe748352 - 07/29/2015 09:00 AM - Tomer Brisker
Fixes #11231 - Correctly stubbify global parameters

Revision 5b99fcdf - 09/09/2015 10:50 AM - Tomer Brisker
Fixes #11231 - Correctly stubbify global parameters

(cherry picked from commit fe74835256fcObaab8daad6411d865f9e807be3c)

History

#1 - 07/28/2015 07:45 AM - Dominic Cleal
- Subject changed from period character in parameters to Period character in parameters causes 406 error

- Category set to Web Interface

#2 - 07/29/2015 02:35 AM - Tomer Brisker
- Status changed from New to Assigned

- Assignee set to Tomer Brisker

05/23/2024 12




#3 - 07/29/2015 04:55 AM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2583 added
- Pull request deleted ()

#4 - 07/29/2015 05:51 AM - Tomer Brisker
- Bugzilla link set to 1247798

#5 - 07/29/2015 09:01 AM - Dominic Cleal

- translation missing: en.field_release set to 72

#6 - 07/29/2015 10:02 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset fe74835256fcObaab8daad6411d865f9e807be3c.
